Results 1 to 9 of 9

Thread: Gimp 2.7 and Python [ ImportError: No module named gimp ]

Threaded View

  1. #1
    Join Date
    Feb 2007
    Location
    Nagoya, Japan
    Beans
    343
    Distro
    Xubuntu 11.10 Oneiric Ocelot

    Talking Gimp 2.7 and Python [ ImportError: No module named gimp ]

    If you had Gimp 2.6 (with gimp-plugin-registry installed) and installed Gimp 2.7 to try its new goodies, but Layer Effects are not showing, and when executing "gimp" from console you get these *nasty* errors:

    Code:
    This is a development version of GIMP.  Debug messages may appear here.
    
    gimp-user-install: migrating from /home/user/.gimp-2.6
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/layerfx.py", line 23, in <module>
        import gimp, gimpplugin, math
    ImportError: No module named gimp
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/palette-to-gradient.py", line 16, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/colorxhtml.py", line 24, in <module>
        import gimp
    ImportError: No module named gimp
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/palette-offset.py", line 16, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    GIMP-Error: Calling error for procedure 'gimp-plugin-help-register':
    Procedure 'gimp-plugin-help-register' has been called with value '(null)' for argument 'domain-uri' (#2, type gchararray). This value is out of range.
    
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/btn4ws.py", line 33, in <module>
        import gimp, gimpplugin, gimpui, gimpcolor
    ImportError: No module named gimp
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
     mapped '<Toolbox>/File/Acquire/XSane/Device dialog...' to '<Image>/File/Create/Acquire/XSane/Device dialog...'
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/palette-sort.py", line 16, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/file-openraster.py", line 16, in <module>
        from gimpfu import *
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
     mapped '<Toolbox>/Xtns/Batch/Batch Process...' to '<Image>/Filters/Extensions/Batch/Batch Process...'
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/foggify.py", line 19, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/cmyk-tiff-2-cmyk-pdf.py", line 13, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/text-brush.py", line 20, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/contactsheet.py", line 25, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    
    (file-uri:24512): GLib-WARNING **: g_set_prgname() called multiple times
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/python-eval.py", line 19, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
    Traceback (most recent call last):
      File "/usr/lib/gimp/2.0/plug-ins/python-console.py", line 19, in <module>
        from gimpfu import *
    ImportError: No module named gimpfu
    
    (gimp:24350): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
     mapped '<Toolbox>/Xtns/Misc' to '<Image>/File/Create/Misc'
    The solution is to download the .deb file from 2.6 version, which may be: gimp_2.6.8-2ubuntu1_i386.deb or _amd64 (depending on your system).

    Then uncompress it in a temporally folder (do not install). And uncompress data.tar.gz.

    Move usr/lib/gimp/2.0/python directory (and contents of course) to its respective location (/usr/lib/gimp/2.0/).

    NOTE: If you haven't install the 2.7 version yet... BEFORE upgrading, backup "python" directory and then just restore it after installing 2.7.

    Start it again and Enjoy
    Last edited by LepeKaname; March 3rd, 2010 at 03:47 AM. Reason: added NOTE.
    Servers: Hardy(x4), Lucid(x6);
    Workstations: Quantal(x2), Lucid(x1);
    WM Flavors: Xubuntu(x3)
    Save Energy

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •